@echo off

REM     installation directory for this support pack (io02).
REM     Users must set this environment variable or uncomment the following line
REM             which assumes the default installation path
REM set MQSI_HOME=C:\Program Files\IBM\WebSphere MQ Integrator 2.1


REM     The 3 ma88 user exits.
REM set MQSI_SECEXIT=com.ibm.broker.wmqicmds.userexit.MQUserExit
REM set MQSI_SENDEXIT=com.ibm.broker.wmqicmds.userexit.MQUserExit
REM set MQSI_RECEXIT=com.ibm.broker.wmqicmds.userexit.MQUserExit




set TEMP_MQSI_HOME=%MQSI_HOME%
set TEMP_MQSI_MA88_CLASS_HOME=%MQSI_MA88_CLASS_HOME%
set TEMP_MQSI_JRE_HOME=%MQSI_JRE_HOME%

REM     Ensure we pick up the user classpath
set ap_classpath=%CLASSPATH%


REM     ensure that the installation directory variable is set
if "%TEMP_MQSI_HOME%"=="" set TEMP_MQSI_HOME=C:\Program Files\IBM\WebSphere MQ Integrator 2.1

set MQSI_CLASS_HOME=%TEMP_MQSI_HOME%\classes



REM     ma88 path variables
if not "%TEMP_MQSI_MA88_CLASS_HOME%"=="" goto presetma88
set TEMP_MQSI_MA88_CLASS_HOME=%TEMP_MQSI_HOME%\classes
:presetma88

REM     make sure that there is a jar file for ma88
if not exist "%TEMP_MQSI_MA88_CLASS_HOME%\com.ibm.mq.jar" goto noma88Exit



REM     java path variables
if not "%TEMP_MQSI_JRE_HOME%"=="" goto presetjre

set TEMP_MQSI_JRE_HOME=%TEMP_MQSI_HOME%\Tool\bin
if exist "%TEMP_MQSI_JRE_HOME%\java.exe" goto presetjre

set TEMP_MQSI_JRE_HOME=%TEMP_MQSI_HOME%\jre\bin
if exist "%TEMP_MQSI_JRE_HOME%\java.exe" goto presetjre

:presetjre



REM     prepare the classpath for the JRE
set ap_classpath=%TEMP_MQSI_MA88_CLASS_HOME%\com.ibm.mq.jar;%TEMP_MQSI_MA88_CLASS_HOME%\connector.jar;%TEMP_MQSI_MA88_CLASS_HOME%\jta.jar;%MQSI_CLASS_HOME%\io02.jar;%MQSI_CLASS_HOME%\io02ue.jar;%ap_classpath%

REM     enable message bundles for io02, MA88 and Integrator
set ap_classpath=%ap_classpath%;%TEMP_MQSI_HOME%\messages;%TEMP_MQSI_HOME%\classes;%TEMP_MQSI_HOME%\Tool


set cmdVars=

REM     ensure that the installation directory variable is set
if "%TEMP_MQSI_HOME%"=="" goto no_MQSI_HOME
set cmdVars=-DMQSI_HOME="%TEMP_MQSI_HOME%"
goto nextVariable

:no_MQSI_HOME
echo "Environment variable MQSI_HOME must be set in this .cmd file or in the users environment. Please see the supplied documentation"
goto exit


:nextVariable

REM     test to see if trace should be set for the command
if "%MQSI_UTILITY_TRACE%"=="" goto noTrace
set cmdVars=-DMQSI_UTILITY_TRACE="%MQSI_UTILITY_TRACE%" %cmdVars%

:noTrace

REM     test to see if any user exits should be set for the command
if "%MQSI_SECEXIT%"=="" goto noSecExit
set cmdVars=-DMQSI_SECEXIT="%MQSI_SECEXIT%" %cmdVars%

:noSecExit

if "%MQSI_SENDEXIT%"=="" goto noSendExit
set cmdVars=-DMQSI_SENDEXIT="%MQSI_SENDEXIT%" %cmdVars%

:noSendExit

if "%MQSI_RECEXIT%"=="" goto noRecExit
set cmdVars=-DMQSI_RECEXIT="%MQSI_RECEXIT%" %cmdVars%

:noRecExit




REM     go and get some arguments, this looks odd but it allows
REM     for a quoted string eg "An EG", and allows for some increase
REM     in the number of arguments

set cmdArgs=%1 %2 %3 %4 %5 %6 %7 %8 %9
for %%a in (0 1 2 3 4 5 6 7 8 9) do shift
set cmdArgs=%cmdArgs% %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
for %%a in (0 1 2 3 4 5 6 7 8 9) do shift
set cmdArgs=%cmdArgs% %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
for %%a in (0 1 2 3 4 5 6 7 8 9) do shift
set cmdArgs=%cmdArgs% %0 %1 %2 %3 %4 %5 %6 %7 %8 %9



REM     make sure that there is a java executable and then drive it
if not exist "%TEMP_MQSI_JRE_HOME%\java.exe" goto nojreExit

"%TEMP_MQSI_JRE_HOME%\java.exe" -classpath "%ap_classpath%" %cmdVars% com.ibm.broker.wmqicmds.WMQIRemoteStopAdapter %cmdArgs%

goto exit

:nojreExit
echo The system cannot find the path specified. %TEMP_MQSI_JRE_HOME%\java.exe
goto exit

:noma88Exit
echo The system cannot find the path specified. %TEMP_MQSI_MA88_CLASS_HOME%\com.ibm.mq.jar
goto exit

:exit
set cmdArgs=
set cmdVars=

